Package commoble.morered.util

# Class WorldHelper

java.lang.Object
commoble.morered.util.WorldHelper

public class WorldHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`WorldHelper()`

## Method Summary

Modifier and Type
Method
Description
`static <T extends net.minecraft.world.level.block.entity.BlockEntity>
Optional<T>`
`getTileEntityAt(Class<T> clazz, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldHelper

public WorldHelper()

## Method Details

### getTileEntityAt

public static <T extends net.minecraft.world.level.block.entity.BlockEntity> Optional<T> getTileEntityAt(Class<T> clazz, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos)